#include<iostream>
using namespace std;
int main() {
    int p,q,i,r,L,R,ip1,iq1,ir1,s=0,rez;
    cin>>p>>q>>r>>L>>R;
    double ip,iq,ir;
for(i=L;i<R;i++){
    ip=i/p;
    iq=i/q;
    ir=i/r;
    ip1=i/p;
    iq1=i/q;
    ir1=i/r;
    if(ip>ip1&&ip<ip1+1){
    ip=ip1+1;
    }
     if(iq>iq1&&iq<iq1+1){
    iq=iq1+1;
    }
     if(ir>ir1&&ir<ir1+1){
    ir=ir1+1;
    }
    rez=ir+iq+ip;
    if(rez<=i){
        s++;
    }
}
cout<<s;
return 0;

}